PULSAR
API ReferenceProduction Advancements

Get Production Advancements With Advanced Filters

Get production advancements with advanced filters.

Authorization

bearerAuth
Authorization<token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Make all properties in T optional

Response Body

application/json

Try it live
POST
/production-advancements/advanced-filters

This endpoint requires authentication — use the Login page at the top of the API Reference, or paste a token in the Authorization section below.

curl -X POST "https://example.com/production-advancements/advanced-filters" \  -H "Content-Type: application/json" \  -d '{}'
{  "currentPage": 0.1,  "totalPages": 0.1,  "totalItems": 0.1,  "data": [    {      "simpleWorkOrder": {        "name": "string",        "id": "string"      },      "qualityIssueId": "string",      "shift": {        "endTime": "string",        "startTime": "string",        "title": "string",        "id": 0.1      },      "sku": {        "deletedAt": "2019-08-24T14:15:22Z",        "updatedAt": "2019-08-24T14:15:22Z",        "createdAt": "2019-08-24T14:15:22Z",        "unit": "string",        "description": "string",        "name": "string",        "sku": "string",        "id": "string"      },      "machine": {        "ref": "string",        "name": "string",        "id": 0.1      },      "operator": {        "lastName": "string",        "firstName": "string",        "id": "string"      },      "deletedAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z",      "createdAt": "2019-08-24T14:15:22Z",      "isManuallyEdited": true,      "isAutomated": true,      "isReviewed": true,      "live": true,      "end": "2019-08-24T14:15:22Z",      "start": "2019-08-24T14:15:22Z",      "nominalSpeed": 0.1,      "countingFactor": 0.1,      "count": 0.1,      "sensorCount": 0.1,      "type": "total",      "id": "string"    }  ]}